### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.broker.flowengine

# Interface ResponseHandlerInterface

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `ProcessNodeHandlerInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ResponseHandlerInterface extends Remote
Interface to the runtime flowengine for handling responses from process nodes and dynamic listener applications.

For more information about the runtime flowengine, refer to its package description.

## Usage

Handler that is used by process nodes and dynamic listeners to set responses that will be sent back to the originating event requestor (sending transport). This handler can also be used by process nodes and dynamic listeners to log messages to the deployed Logging Service.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isResponseRequired()`
  Return whether or not a response is required.
  `void`
  `log(String message)`
  Log a message in the `EventBroker Service` log.
  `void`
  `setResponse(Object response)`
  Set a response.
  `void`
  `setResponse(String response)`
  Set a response.
  `void`
  `setResponse(DocumentFragment response)`
  Set a response.

- ## Method Details

  - ### isResponseRequired

    boolean isResponseRequired() throws RemoteException
    Return whether or not a response is required.

    A handling agent is not required to provide a response, but this method lets the agent know if a response is going to be sent to the originating client.

    Returns:
      true if a response is required; otherwise, false.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### setResponse

    void setResponse(String response) throws RemoteException
    Set a response.

    The response is expected to be in XML format.

    Parameters:
      `response` - Response to be sent to the event originator.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### setResponse

    void setResponse(DocumentFragment response) throws RemoteException
    Set a response.
    Parameters:
      `response` - Response to be sent to the event originator.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### setResponse

    void setResponse(Object response) throws RemoteException
    Set a response.
    Parameters:
      `response` - Response to be sent to the event originator.
    Throws:
      `RemoteException` - if a network anomaly occurs.

  - ### log

    void log(String message) throws RemoteException
    Log a message in the `EventBroker Service` log.

    Allow process nodes or dynamic listeners to log their messages in the same log used by the broker.

    Parameters:
      `message` - message to log.
    Throws:
      `RemoteException` - if a network anomaly occurs.